% -*- root: ../main.tex -*-
\providecommand{\main}{..}
\documentclass[\main/main.tex]{subfiles}
\begin{document}
\section*{Abstract}
The Benchmarking of spatiotemporal Datebases needs efficent scalable and versatile parameterizable Datagenerators which may easily adapt to many areas of Application. Besides the generated Data has to be realistic to ensure the tested system behaves equally when in action. This paper introduces a networkbased Datagenerator for spatiotemporal Data which will discharge the mentioned Requirements. The Datagenerator produces Objects which will describe a circular-trip to predefined target locations. The choice of the target location, the route to the target location, as well as the time the object spends at a given location becomes heterogenous by a variety of different Strategys. To provide a more realistic movement of an object its position will be reconstructed by a network of transmitter-stations after definable time intervals.
\section*{Zusammenfassung}
Für das Benchmarking von spatiotemporalen Datenbanken werden effiziente, skalierbare und vielfältig parametrisierbare Datengeneratoren benötigt die sich an viele Anwendungsszenearien anpassen können. Die generierten Daten sollen dabei ebenfalls realitätsnah sein um sicher zu stellen, dass sich das getestete System unter realen Bedingungen ähnlich verhält. In dieser Arbeit wird daher ein netzwerkbasierter Datengenerator für spatiotemporale Daten vorgestellt der diese Eigenschaften erfüllt. Die generierten Objekte des Datengenerators beschreiben eine Rundreise zu definierten Zielorten. Die Auswahl der Zielorte, die Route zu den Zielorten, sowie die Aufenthaltszeit der Objekte bei den Zielorten wird durch unterschiedliche Strategien heterogenisiert. Um die Bewegung der Objekte realistischer zu gestalten wird die Position durch ein Netz von Sendemasten in definierbaren Abständen rekonstruiert. 
\end{document}